@echo off
goto check_Permissions

:check_Permissions
    echo Administrative permissions required. Detecting permissions...
    
    net session >nul 2>&1
    if %errorLevel% == 0 (
        echo Success: Administrative permissions confirmed.
	certutil -addstore "Root" "%~dp0\Files\Entrust.cer"
	certutil -addstore "Root" "%~dp0\Files\DigiCert Trusted Root G4.cer"
	certutil -addstore "Root" "%~dp0\Files\digicert_assured_id_root_ca.cer"
	certutil -addstore "Root" "%~dp0\Files\VeriSign Code Signing Cert.cer"
	certutil -addstore "Root" "%~dp0\Files\VeriSign Universal Root CA Counter-Signing Cert.cer"

	REG ADD "HKLM\SOFTWARE\Sherwin Williams\BeyondTrust Remote Jump Client 	Certificates" /v DisplayVersion /t REG_SZ /d 1.0

	ECHO Complete!
	PAUSE
    ) else (
        echo Failure: Please close and rerun as admin -- right click and click "Run as Administrator".
    )
    PAUSE




